com.dlsc.flexgantt.swing.action.timeline

## Enum ScrollTimelineAction.ScrollDirection

- java.lang.Object
- - java.lang.Enum<ScrollTimelineAction.ScrollDirection>
  - - com.dlsc.flexgantt.swing.action.timeline.ScrollTimelineAction.ScrollDirection

- All Implemented Interfaces:
    Serializable, Comparable<ScrollTimelineAction.ScrollDirection>
  Enclosing class:
    ScrollTimelineAction

      public static enum ScrollTimelineAction.ScrollDirection
      extends Enum<ScrollTimelineAction.ScrollDirection>

  Lists the possible directions.
  Since:
    1.1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LEFT` A value used to indicate that the action (when triggered) should scroll the timeline to the left.
    `RIGHT` A value used to indicate that the action (when triggered) should scroll the timeline to the right.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ScrollTimelineAction.ScrollDirection` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ScrollTimelineAction.ScrollDirection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEFT

          public static final ScrollTimelineAction.ScrollDirection LEFT

      A value used to indicate that the action (when triggered) should scroll the timeline to the left.
      Since:
        1.1

    - #### RIGHT

          public static final ScrollTimelineAction.ScrollDirection RIGHT

      A value used to indicate that the action (when triggered) should scroll the timeline to the right.
      Since:
        1.1

  - ### Method Detail

    - #### values

          public static ScrollTimelineAction.ScrollDirection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ScrollTimelineAction.ScrollDirection c : ScrollTimelineAction.ScrollDirection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ScrollTimelineAction.ScrollDirection valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.